// To parse this JSON data, do
//
//     final treesImprovements = treesImprovementsFromJson(jsonString);

import 'dart:convert';

TreesImprovements treesImprovementsFromJson(String str) =>
    TreesImprovements.fromJson(json.decode(str));

String treesImprovementsToJson(TreesImprovements data) =>
    json.encode(data.toJson());

class TreesImprovements {
  final int? id;
  final String? improvement;
  final String? pricePerTree;
  final dynamic subclassCode;

  TreesImprovements({
    this.id,
    this.improvement,
    this.pricePerTree,
    this.subclassCode,
  });

  factory TreesImprovements.fromJson(Map<String, dynamic> json) =>
      TreesImprovements(
        id: json["id"],
        improvement: json["improvement"],
        pricePerTree: json["price_per_tree"],
        subclassCode: json["subclass_code"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "improvement": improvement,
        "price_per_tree": pricePerTree,
        "subclass_code": subclassCode,
      };
}
